### Method

# Gimp Item set_lock_position

since: 2.10

#### Declaration [src]

    gboolean
    gimp_item_set_lock_position (
      GimpItem* item,
      gboolean lock_position
    )

#### Description [src]

Set the ‘lock position’ state of the specified item.

This procedure sets the specified item’s lock position state.

Available since: 2.10

#### Parameters

`lock_position`

  Type: `gboolean`

  The new item ‘lock position’ state.

#### Return value

Type: `gboolean`

TRUE on success.